=== debian/changelog ===
eagerpy (0.29.0-3) unstable; urgency=medium

  * Disable PyTorch-based tests for now.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 28 Oct 2020 16:14:48 +0100

eagerpy (0.29.0-2) unstable; urgency=medium

  * Add watch file.
  * Add autopkgtests.
  * Demote PyTorch to suggests.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 27 Oct 2020 17:36:43 +0100

eagerpy (0.29.0-1) unstable; urgency=medium

  * Initial packaging. (Closes: #972680)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 22 Oct 2020 16:44:40 +0200
