=== debian/control ===
Source: eagerpy
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.5.0.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-numpy,
               python3-setuptools,
               python3-typing-extensions (>= 3.7.4.1)
Rules-Requires-Root: no
Homepage: https://eagerpy.jonasrauber.de/
Vcs-Browser: https://salsa.debian.org/gspr/eagerpy
Vcs-Git: https://salsa.debian.org/gspr/eagerpy.git -b debian/sid

Package: python3-eagerpy
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python3-torch
Description: Wrapper around various Python multidimensional array types
 EagerPy is a Python framework that lets you write code that automatically
 works natively with PyTorch, TensorFlow, JAX, and NumPy.
