=== debian/tests/control ===
Tests: upstream-numpy.sh
Depends: python3-all, python3-eagerpy, python3-numpy, python3-pytest
Restrictions: allow-stderr

#Tests: upstream-pytorch.sh
#Depends: python3-all, python3-eagerpy, python3-pytest, python3-torch
#Restrictions: allow-stderr
