=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%eagerpy-$1.tar.gz%" \
    https://github.com/jonasrauber/eagerpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
