## eagerpy 0.30.0

=== requirements.txt ===
-r requirements-dev.txt
torch==1.4.0
jaxlib==0.1.37
jax==0.1.57
tensorflow==2.5.0
