=== debian/changelog ===
eagerpy (0.30.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Clean up whitespace and set repository-browse metadata.

  [ Gard Spreemann ]
  * Standards-version 4.6.2.0. No changes needed.
  * Extend copyright range.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 08 Feb 2023 23:39:11 +0100

eagerpy (0.30.0-2) unstable; urgency=medium

  * Fix watch file.
  * Extend copyright years.
  * Standards-version 4.6.1.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 03 Oct 2022 16:22:50 +0200

eagerpy (0.30.0-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.1, no changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 20:48:26 +0200
